org.wildfly.swarm.config

## Class Remoting<T extends Remoting<T>>

- java.lang.Object
- - org.wildfly.swarm.config.Remoting<T>

- Direct Known Subclasses:
    RemotingFraction

      public class Remoting<T extends Remoting<T>>
      extends Object

  The configuration of the Remoting subsystem.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Remoting.RemotingResources` Child mutators for Remoting

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Remoting()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `T` | `connector(Connector value)` Add the Connector object to the list of subresources
    `T` | `connector(ConnectorSupplier supplier)` Install a supplied Connector object to the list of subresources
    `T` | `connector(String childKey)` Create and configure a Connector object to the list of subresources
    `T` | `connector(String childKey, ConnectorConsumer consumer)` Create and configure a Connector object to the list of subresources
    `T` | `connectors(List<Connector> value)` Add all Connector objects to this subresource
    `T` | `endpointConfiguration()` Endpoint configuration
    `T` | `endpointConfiguration(EndpointConfiguration value)` Endpoint configuration
    `T` | `endpointConfiguration(EndpointConfigurationConsumer consumer)` Endpoint configuration
    `T` | `endpointConfiguration(EndpointConfigurationSupplier supplier)` Endpoint configuration
    `String` | `getKey()`
    `T` | `httpConnector(HTTPConnector value)` Add the HTTPConnector object to the list of subresources
    `T` | `httpConnector(HTTPConnectorSupplier supplier)` Install a supplied HTTPConnector object to the list of subresources
    `T` | `httpConnector(String childKey)` Create and configure a HTTPConnector object to the list of subresources
    `T` | `httpConnector(String childKey, HTTPConnectorConsumer consumer)` Create and configure a HTTPConnector object to the list of subresources
    `T` | `httpConnectors(List<HTTPConnector> value)` Add all HTTPConnector objects to this subresource
    `T` | `localOutboundConnection(LocalOutboundConnection value)` Add the LocalOutboundConnection object to the list of subresources
    `T` | `localOutboundConnection(LocalOutboundConnectionSupplier supplier)` Install a supplied LocalOutboundConnection object to the list of subresources
    `T` | `localOutboundConnection(String childKey)` Create and configure a LocalOutboundConnection object to the list of subresources
    `T` | `localOutboundConnection(String childKey, LocalOutboundConnectionConsumer consumer)` Create and configure a LocalOutboundConnection object to the list of subresources
    `T` | `localOutboundConnections(List<LocalOutboundConnection> value)` Add all LocalOutboundConnection objects to this subresource
    `T` | `outboundConnection(OutboundConnection value)` Add the OutboundConnection object to the list of subresources
    `T` | `outboundConnection(OutboundConnectionSupplier supplier)` Install a supplied OutboundConnection object to the list of subresources
    `T` | `outboundConnection(String childKey)` Create and configure a OutboundConnection object to the list of subresources
    `T` | `outboundConnection(String childKey, OutboundConnectionConsumer consumer)` Create and configure a OutboundConnection object to the list of subresources
    `T` | `outboundConnections(List<OutboundConnection> value)` Add all OutboundConnection objects to this subresource
    `T` | `remoteOutboundConnection(RemoteOutboundConnection value)` Add the RemoteOutboundConnection object to the list of subresources
    `T` | `remoteOutboundConnection(RemoteOutboundConnectionSupplier supplier)` Install a supplied RemoteOutboundConnection object to the list of subresources
    `T` | `remoteOutboundConnection(String childKey)` Create and configure a RemoteOutboundConnection object to the list of subresources
    `T` | `remoteOutboundConnection(String childKey, RemoteOutboundConnectionConsumer consumer)` Create and configure a RemoteOutboundConnection object to the list of subresources
    `T` | `remoteOutboundConnections(List<RemoteOutboundConnection> value)` Add all RemoteOutboundConnection objects to this subresource
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `Remoting.RemotingResources` | `subresources()`
    `Integer` | `workerReadThreads()` The number of read threads to create for the remoting worker.
    `T` | `workerReadThreads(Integer value)` The number of read threads to create for the remoting worker.
    `Integer` | `workerTaskCoreThreads()` The number of core threads for the remoting worker task thread pool.
    `T` | `workerTaskCoreThreads(Integer value)` The number of core threads for the remoting worker task thread pool.
    `Integer` | `workerTaskKeepalive()` The number of milliseconds to keep non-core remoting worker task threads alive.
    `T` | `workerTaskKeepalive(Integer value)` The number of milliseconds to keep non-core remoting worker task threads alive.
    `Integer` | `workerTaskLimit()` The maximum number of remoting worker tasks to allow before rejecting.
    `T` | `workerTaskLimit(Integer value)` The maximum number of remoting worker tasks to allow before rejecting.
    `Integer` | `workerTaskMaxThreads()` The maximum number of threads for the remoting worker task thread pool.
    `T` | `workerTaskMaxThreads(Integer value)` The maximum number of threads for the remoting worker task thread pool.
    `Integer` | `workerWriteThreads()` The number of write threads to create for the remoting worker.
    `T` | `workerWriteThreads(Integer value)` The number of write threads to create for the remoting worker.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Remoting

          public Remoting()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public Remoting.RemotingResources subresources()

    - #### httpConnectors

          public T httpConnectors(List<HTTPConnector> value)

      Add all HTTPConnector objects to this subresource
      Parameters:
        `value` - List of HTTPConnector objects.
      Returns:
        this

    - #### httpConnector

          public T httpConnector(HTTPConnector value)

      Add the HTTPConnector object to the list of subresources
      Parameters:
        `value` - The HTTPConnector to add
      Returns:
        this

    - #### httpConnector

          public T httpConnector(String childKey,
                                 HTTPConnectorConsumer consumer)

      Create and configure a HTTPConnector object to the list of subresources
      Parameters:
        `key` - The key for the HTTPConnector resource
        `config` - The HTTPConnectorConsumer to use
      Returns:
        this

    - #### httpConnector

          public T httpConnector(String childKey)

      Create and configure a HTTPConnector object to the list of subresources
      Parameters:
        `key` - The key for the HTTPConnector resource
      Returns:
        this

    - #### httpConnector

          public T httpConnector(HTTPConnectorSupplier supplier)

      Install a supplied HTTPConnector object to the list of subresources

    - #### connectors

          public T connectors(List<Connector> value)

      Add all Connector objects to this subresource
      Parameters:
        `value` - List of Connector objects.
      Returns:
        this

    - #### connector

          public T connector(Connector value)

      Add the Connector object to the list of subresources
      Parameters:
        `value` - The Connector to add
      Returns:
        this

    - #### connector

          public T connector(String childKey,
                             ConnectorConsumer consumer)

      Create and configure a Connector object to the list of subresources
      Parameters:
        `key` - The key for the Connector resource
        `config` - The ConnectorConsumer to use
      Returns:
        this

    - #### connector

          public T connector(String childKey)

      Create and configure a Connector object to the list of subresources
      Parameters:
        `key` - The key for the Connector resource
      Returns:
        this

    - #### connector

          public T connector(ConnectorSupplier supplier)

      Install a supplied Connector object to the list of subresources

    - #### outboundConnections

          public T outboundConnections(List<OutboundConnection> value)

      Add all OutboundConnection objects to this subresource
      Parameters:
        `value` - List of OutboundConnection objects.
      Returns:
        this

    - #### outboundConnection

          public T outboundConnection(OutboundConnection value)

      Add the OutboundConnection object to the list of subresources
      Parameters:
        `value` - The OutboundConnection to add
      Returns:
        this

    - #### outboundConnection

          public T outboundConnection(String childKey,
                                      OutboundConnectionConsumer consumer)

      Create and configure a OutboundConnection object to the list of subresources
      Parameters:
        `key` - The key for the OutboundConnection resource
        `config` - The OutboundConnectionConsumer to use
      Returns:
        this

    - #### outboundConnection

          public T outboundConnection(String childKey)

      Create and configure a OutboundConnection object to the list of subresources
      Parameters:
        `key` - The key for the OutboundConnection resource
      Returns:
        this

    - #### outboundConnection

          public T outboundConnection(OutboundConnectionSupplier supplier)

      Install a supplied OutboundConnection object to the list of subresources

    - #### localOutboundConnections

          public T localOutboundConnections(List<LocalOutboundConnection> value)

      Add all LocalOutboundConnection objects to this subresource
      Parameters:
        `value` - List of LocalOutboundConnection objects.
      Returns:
        this

    - #### localOutboundConnection

          public T localOutboundConnection(LocalOutboundConnection value)

      Add the LocalOutboundConnection object to the list of subresources
      Parameters:
        `value` - The LocalOutboundConnection to add
      Returns:
        this

    - #### localOutboundConnection

          public T localOutboundConnection(String childKey,
                                           LocalOutboundConnectionConsumer consumer)

      Create and configure a LocalOutboundConnection object to the list of subresources
      Parameters:
        `key` - The key for the LocalOutboundConnection resource
        `config` - The LocalOutboundConnectionConsumer to use
      Returns:
        this

    - #### localOutboundConnection

          public T localOutboundConnection(String childKey)

      Create and configure a LocalOutboundConnection object to the list of subresources
      Parameters:
        `key` - The key for the LocalOutboundConnection resource
      Returns:
        this

    - #### localOutboundConnection

          public T localOutboundConnection(LocalOutboundConnectionSupplier supplier)

      Install a supplied LocalOutboundConnection object to the list of subresources

    - #### remoteOutboundConnections

          public T remoteOutboundConnections(List<RemoteOutboundConnection> value)

      Add all RemoteOutboundConnection objects to this subresource
      Parameters:
        `value` - List of RemoteOutboundConnection objects.
      Returns:
        this

    - #### remoteOutboundConnection

          public T remoteOutboundConnection(RemoteOutboundConnection value)

      Add the RemoteOutboundConnection object to the list of subresources
      Parameters:
        `value` - The RemoteOutboundConnection to add
      Returns:
        this

    - #### remoteOutboundConnection

          public T remoteOutboundConnection(String childKey,
                                            RemoteOutboundConnectionConsumer consumer)

      Create and configure a RemoteOutboundConnection object to the list of subresources
      Parameters:
        `key` - The key for the RemoteOutboundConnection resource
        `config` - The RemoteOutboundConnectionConsumer to use
      Returns:
        this

    - #### remoteOutboundConnection

          public T remoteOutboundConnection(String childKey)

      Create and configure a RemoteOutboundConnection object to the list of subresources
      Parameters:
        `key` - The key for the RemoteOutboundConnection resource
      Returns:
        this

    - #### remoteOutboundConnection

          public T remoteOutboundConnection(RemoteOutboundConnectionSupplier supplier)

      Install a supplied RemoteOutboundConnection object to the list of subresources

    - #### endpointConfiguration

          public T endpointConfiguration(EndpointConfiguration value)

      Endpoint configuration

    - #### endpointConfiguration

          public T endpointConfiguration(EndpointConfigurationConsumer consumer)

      Endpoint configuration

    - #### endpointConfiguration

          public T endpointConfiguration()

      Endpoint configuration

    - #### endpointConfiguration

          public T endpointConfiguration(EndpointConfigurationSupplier supplier)

      Endpoint configuration

    - #### workerReadThreads

          public Integer workerReadThreads()

      The number of read threads to create for the remoting worker.

    - #### workerReadThreads

          public T workerReadThreads(Integer value)

      The number of read threads to create for the remoting worker.

    - #### workerTaskCoreThreads

          public Integer workerTaskCoreThreads()

      The number of core threads for the remoting worker task thread pool.

    - #### workerTaskCoreThreads

          public T workerTaskCoreThreads(Integer value)

      The number of core threads for the remoting worker task thread pool.

    - #### workerTaskKeepalive

          public Integer workerTaskKeepalive()

      The number of milliseconds to keep non-core remoting worker task threads alive.

    - #### workerTaskKeepalive

          public T workerTaskKeepalive(Integer value)

      The number of milliseconds to keep non-core remoting worker task threads alive.

    - #### workerTaskLimit

          public Integer workerTaskLimit()

      The maximum number of remoting worker tasks to allow before rejecting.

    - #### workerTaskLimit

          public T workerTaskLimit(Integer value)

      The maximum number of remoting worker tasks to allow before rejecting.

    - #### workerTaskMaxThreads

          public Integer workerTaskMaxThreads()

      The maximum number of threads for the remoting worker task thread pool.

    - #### workerTaskMaxThreads

          public T workerTaskMaxThreads(Integer value)

      The maximum number of threads for the remoting worker task thread pool.

    - #### workerWriteThreads

          public Integer workerWriteThreads()

      The number of write threads to create for the remoting worker.

    - #### workerWriteThreads

          public T workerWriteThreads(Integer value)

      The number of write threads to create for the remoting worker.

Copyright © 2017 JBoss by Red Hat. All rights reserved.